export interface SourceLocation {
    path: string;
    lineNumber?: number;
}
/**
 * Returns a GitHub URL (or a file URL, if the file is untracked).
 * Throws if no appropriate remote can be identified.
 */
export declare function getGithubLink(path: string, lineNumber?: number): Promise<string>;
/**
 * Returns a GitHub URL (or a file URL, if untracked) for each location.
 * Throws if no appropriate remote can be identified.
 */
export declare function getGithubLinks(locations: readonly SourceLocation[]): Promise<string[]>;
